From d24563dd24db07bb08b92c22cd8f4c820d5ffc9f Mon Sep 17 00:00:00 2001
From: Christopher Chalmers <c.chalmers@me.com>
Date: May 08 2020 19:39:10 +0000
Subject: [PATCH 574/2232] Add cpp flag to cc


This means that clang++ will be called instead of clang.

---

diff --git a/build.rs b/build.rs
index 1f3b6eb..05d7880 100644
--- a/build.rs
+++ b/build.rs
@@ -1,6 +1,7 @@
 fn main() {
     cc::Build::new()
         .file("src/cxx.cc")
+        .cpp(true)
         .flag("-std=c++11")
         .compile("cxxbridge03");
     println!("cargo:rerun-if-changed=src/cxx.cc");
diff --git a/demo-rs/build.rs b/demo-rs/build.rs
index edbb281..e435019 100644
--- a/demo-rs/build.rs
+++ b/demo-rs/build.rs
@@ -1,6 +1,7 @@
 fn main() {
     cxx_build::bridge("src/main.rs")
         .file("../demo-cxx/demo.cc")
+        .cpp(true)
         .flag("-std=c++11")
         .compile("cxxbridge-demo");
 

